Bug 44906 - kterm SRPM needs build dependencies on XFree86-devel and ncurses-devel
Summary: kterm SRPM needs build dependencies on XFree86-devel and ncurses-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kterm   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nakai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-18 19:00 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-11 13:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-18 19:00:19 UTC
Description of Problem: with the 7.1 product, you cannot build the kterm
SRPM without having XFree86-devel and ncurses-devel installed.   But, if
"rpm -ba /usr/src/redhat/SPECS/kterm*spec" is executed, you do NOT get an
error from rpm about missing/unsatisfied build dependencies.  If you
install the XFree86-devel and ncurses-devel RPMs, the kterm SRPM builds
without problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e XFree86-devel ncurses-devel
   2. rpm -Uvh <tree-path>/SRPMS/kterm*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/kterm*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/XFree86-devel* (and ncurses-devel*)
   5. rpm -ba /usr/src/redhat/SPECS/kterm*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the kterm SRPM cannot be built without installing the
XFree86-devel and ncurses-devel RPMs.

Comment 1 Nakai 2001-07-11 13:50:32 UTC
Should be fixed in kterm-6.2.0-22.src.rpm


Note You need to log in before you can comment on or make changes to this bug.